Package com.emc.d2fs.services.sendmail_service

# Class SendmailRequest

java.lang.Object
com.emc.d2fs.services.sendmail_service.SendmailRequest

All Implemented Interfaces:
  `Serializable`

public class SendmailRequest extends Object implements Serializable

Java class for anonymous complex type.

The following schema fragment specifies the expected content contained within this class.

     <complexType>
       <complexContent>
         <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
           <sequence>
             <element ref="{http://www.emc.com/d2fs/models/context}context"/>
             <sequence>
               <element name="objIds" type="{http://www.w3.org/2001/XMLSchema}string" maxOccurs="10000"/>
             </sequence>
             <sequence>
               <element name="recipients" type="{http://www.w3.org/2001/XMLSchema}string" maxOccurs="10000"/>
             </sequence>
           </sequence>
           <attribute name="subject" type="{http://www.w3.org/2001/XMLSchema}string" />
           <attribute name="message" type="{http://www.w3.org/2001/XMLSchema}string" />
           <attribute name="attachFile" type="{http://www.w3.org/2001/XMLSchema}boolean" />
           <attribute name="preferredFormat" type="{http://www.w3.org/2001/XMLSchema}string" />
         </restriction>
       </complexContent>
     </complexType>

See Also:
  - Serialized Form

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `SendmailRequest()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `Context`
  `getContext()`
  Gets the value of the context property.
  `String`
  `getMessage()`
  Gets the value of the message property.
  `List<String>`
  `getObjIds()`
  Gets the value of the objIds property.
  `String`
  `getPreferredFormat()`
  Gets the value of the preferredFormat property.
  `List<String>`
  `getRecipients()`
  Gets the value of the recipients property.
  `String`
  `getSubject()`
  Gets the value of the subject property.
  `Boolean`
  `isAttachFile()`
  Gets the value of the attachFile property.
  `void`
  `setAttachFile(Boolean value)`
  Sets the value of the attachFile property.
  `void`
  `setContext(Context value)`
  Sets the value of the context property.
  `void`
  `setMessage(String value)`
  Sets the value of the message property.
  `void`
  `setPreferredFormat(String value)`
  Sets the value of the preferredFormat property.
  `void`
  `setSubject(String value)`
  Sets the value of the subject property.

  ### Methods inherited from class java.lang.Object

  `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### SendmailRequest

    public SendmailRequest()

- ## Method Details

  - ### getContext

    public Context getContext()
    Gets the value of the context property.
    Returns:
      possible object is `Context`

  - ### setContext

    public void setContext(Context value)
    Sets the value of the context property.
    Parameters:
      `value` - allowed object is `Context`

  - ### getObjIds

    public List<String> getObjIds()
    Gets the value of the objIds property.

    This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the objIds property.

    For example, to add a new item, do as follows:

            getObjIds().add(newItem);

    Objects of the following type(s) are allowed in the list `String`

  - ### getRecipients

    public List<String> getRecipients()
    Gets the value of the recipients property.

    This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the recipients property.

    For example, to add a new item, do as follows:

            getRecipients().add(newItem);

    Objects of the following type(s) are allowed in the list `String`

  - ### getSubject

    public String getSubject()
    Gets the value of the subject property.
    Returns:
      possible object is `String`

  - ### setSubject

    public void setSubject(String value)
    Sets the value of the subject property.
    Parameters:
      `value` - allowed object is `String`

  - ### getMessage

    public String getMessage()
    Gets the value of the message property.
    Returns:
      possible object is `String`

  - ### setMessage

    public void setMessage(String value)
    Sets the value of the message property.
    Parameters:
      `value` - allowed object is `String`

  - ### isAttachFile

    public Boolean isAttachFile()
    Gets the value of the attachFile property.
    Returns:
      possible object is `Boolean`

  - ### setAttachFile

    public void setAttachFile(Boolean value)
    Sets the value of the attachFile property.
    Parameters:
      `value` - allowed object is `Boolean`

  - ### getPreferredFormat

    public String getPreferredFormat()
    Gets the value of the preferredFormat property.
    Returns:
      possible object is `String`

  - ### setPreferredFormat

    public void setPreferredFormat(String value)
    Sets the value of the preferredFormat property.
    Parameters:
      `value` - allowed object is `String`